package com.muyu.etl.domain;

import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.Date;

/**
 * 对象 basic_params
 *
 * @author muyu
 * @date 2024-04-20
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@SuperBuilder
public class BasicParams extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 基础配置信息主键 */
    @Excel(name = "基础配置信息主键")
    private Long basicConfigInfoId;

    /** 参数名 */
    @Excel(name = "参数名")
    private String paramsName;

    /** 参数值 */
    @Excel(name = "参数值")
    private String paramsValue;


    private String createBy;
    private String updateBy;
    private Date createTime;
    private Date updateTime;


}
